Strophe 0.13 XMPP client library

Data Fields
xmpp_stanza_t Struct Reference

`#include <common.h>`

## Data Fields
int | ref
xmpp_ctx_t * | ctx
xmpp_stanza_type_t | type
xmpp_stanza_t * | prev
xmpp_stanza_t * | next
xmpp_stanza_t * | children
xmpp_stanza_t * | parent
char * | data
hash_t * | attributes

## Field Documentation

## ◆ ref

int xmpp_stanza_t::ref

## ◆ ctx

xmpp_ctx_t* xmpp_stanza_t::ctx

## ◆ type

xmpp_stanza_type_t xmpp_stanza_t::type

## ◆ prev

xmpp_stanza_t* xmpp_stanza_t::prev

## ◆ next

xmpp_stanza_t* xmpp_stanza_t::next

## ◆ children

xmpp_stanza_t* xmpp_stanza_t::children

## ◆ parent

xmpp_stanza_t* xmpp_stanza_t::parent

## ◆ data

char* xmpp_stanza_t::data

## ◆ attributes

hash_t* xmpp_stanza_t::attributes

The documentation for this struct was generated from the following file:

- common.h